// creator  : weidu.exe (version 23100)
// argument : _BELAND.DLG
// game		 : .
// source	 : ./override/_BELAND.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_BELAND~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 10 even though they appear after this state */
~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #80383 /* ~Welcome all to the Hall of Wonder.  A mere gold piece secures entry to the most curious collection of machination inspirations on all Abeir-toril.  The craft displayed within is truly a sight to see, and the gold raised goes to needed supplies, that future wonders will be wrought forth.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ GOTO 15
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 228
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ GOTO 17
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ EXTERN ~_VICONJ~ 174
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ GOTO 21
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ EXTERN ~_EDWINJ~ 154
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ GOTO 27
  IF ~Global("X#BELAND0","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND0","GLOBAL",1)~ EXTERN ~_GARRIJ~ 184
END

IF WEIGHT #2 /* Triggers after states #: 10 even though they appear after this state */
~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy,HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #80387 /* ~Good on you, friend.  Come inside the Hall of Wonder, but please remember the 1 gold donation.  It provides sponsorship for those that craft the curious wonders inspired by Gond.  This patronage supports the... not immediately salable works produced.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ GOTO 35
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ GOTO 36
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 235
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ GOTO 40
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ EXTERN ~_VICONJ~ 179
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ GOTO 46
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ EXTERN ~_EDWINJ~ 157
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ GOTO 54
  IF ~Global("X#BELAND1","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND1","GLOBAL",1)~ EXTERN ~_GARRIJ~ 185
END

IF WEIGHT #3 /* Triggers after states #: 10 even though they appear after this state */
~ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #80388 /* ~1 gold, no talking, and please wipe your feet.  The Hall of Wonder is open to all, but touch nothing while herein.  We wish to preserve the condition of our exhibits, that we might have example for our craftsmen to copy.  Duplicates of many items are available by long-term request, for more than you are likely to have in a lifetime.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ GOTO 64
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ GOTO 65
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ EXTERN ~_DYNAHJ~ 242
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ GOTO 69
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ EXTERN ~_VICONJ~ 184
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ GOTO 75
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ EXTERN ~_EDWINJ~ 160
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ GOTO 83
  IF ~Global("X#BELAND2","GLOBAL",0)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BELAND2","GLOBAL",1)~ EXTERN ~_GARRIJ~ 186
END

IF ~~ THEN BEGIN 3 // from: _EDWINJ:156.0 _EDWINJ:155.0 _EDWINJ:154.0 _DYNAHJ:234.0 _DYNAHJ:233.0 _DYNAHJ:232.0 _DYNAHJ:231.0 _DYNAHJ:230.0 _DYNAHJ:229.0 _DYNAHJ:228.0 34.0 33.0 32.0 31.0 30.0 29.0 28.0 27.0 26.0 25.0 24.0 23.0 22.0 21.0 20.0 19.0 18.0 17.0 16.0 15.0 8.0 0.0
  SAY #80390 /* ~It's but a small matter to momentarily lapse the entry fee, though if ye can soon afford a coin or two in the future, we'd sorely appreciate it.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 4 // from:
  SAY #80391 /* ~Oh, do reconsider!  You'll not find these items anywhere else in Faerun.  It would be a shame to miss them, would it not?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: _EDWINJ:162.1 _EDWINJ:162.0 _EDWINJ:161.1 _EDWINJ:161.0 _EDWINJ:160.1 _EDWINJ:160.0 _EDWINJ:159.1 _EDWINJ:158.1 _EDWINJ:157.1 _DYNAHJ:248.1 _DYNAHJ:248.0 _DYNAHJ:247.1 _DYNAHJ:247.0 _DYNAHJ:246.1 _DYNAHJ:246.0 _DYNAHJ:245.1 _DYNAHJ:245.0 _DYNAHJ:244.1 _DYNAHJ:244.0 _DYNAHJ:243.1 _DYNAHJ:243.0 _DYNAHJ:242.1 _DYNAHJ:242.0 _DYNAHJ:241.1 _DYNAHJ:240.1 _DYNAHJ:239.1 _DYNAHJ:238.1 _DYNAHJ:237.1 _DYNAHJ:236.1 _DYNAHJ:235.1 92.1 92.0 91.1 91.0 90.1 90.0 89.1 89.0 88.1 88.0 87.1 87.0 86.1 86.0 85.1 85.0 84.1 84.0 83.1 83.0 82.1 82.0 81.1 81.0 80.1 80.0 79.1 79.0 78.1 78.0 77.1 77.0 76.1 76.0 75.1 75.0 74.1 74.0 73.1 73.0 72.1 72.0 71.1 71.0 70.1 70.0 69.1 69.0 68.1 68.0 67.1 67.0 66.1 66.0 65.1 65.0 64.1 64.0 63.1 62.1 61.1 60.1 59.1 58.1 57.1 56.1 55.1 54.1 53.1 52.1 51.1 50.1 49.1 48.1 47.1 46.1 45.1 44.1 43.1 42.1 41.1 40.1 39.1 38.1 37.1 36.1 35.1 2.1 2.0 1.1
  SAY #80392 /* ~You are welcome to return when you have the coin, but I cannot permit your entry now.  My apologies.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #80393 /* ~You cannot enter without payment, so please don't make this difficult.  I'd rather not call the hall guards, they've ever so much to attend to.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from: _EDWINJ:162.2 _EDWINJ:161.2 _EDWINJ:160.2 _EDWINJ:159.2 _EDWINJ:158.2 _EDWINJ:157.2 _EDWINJ:156.2 _EDWINJ:155.2 _EDWINJ:154.2 _DYNAHJ:248.2 _DYNAHJ:247.2 _DYNAHJ:246.2 _DYNAHJ:245.2 _DYNAHJ:244.2 _DYNAHJ:243.2 _DYNAHJ:242.2 _DYNAHJ:241.2 _DYNAHJ:240.2 _DYNAHJ:239.2 _DYNAHJ:238.2 _DYNAHJ:237.2 _DYNAHJ:236.2 _DYNAHJ:235.2 _DYNAHJ:234.2 _DYNAHJ:233.2 _DYNAHJ:232.2 _DYNAHJ:231.2 _DYNAHJ:230.2 _DYNAHJ:229.2 _DYNAHJ:228.2 92.2 91.2 90.2 89.2 88.2 87.2 86.2 85.2 84.2 83.2 82.2 81.2 80.2 79.2 78.2 77.2 76.2 75.2 74.2 73.2 72.2 71.2 70.2 69.2 68.2 67.2 66.2 65.2 64.2 63.2 62.2 61.2 60.2 59.2 58.2 57.2 56.2 55.2 54.2 53.2 52.2 51.2 50.2 49.2 48.2 47.2 46.2 45.2 44.2 43.2 42.2 41.2 40.2 39.2 38.2 37.2 36.2 35.2 34.2 33.2 32.2 31.2 30.2 29.2 28.2 27.2 26.2 25.2 24.2 23.2 22.2 21.2 20.2 19.2 18.2 17.2 16.2 15.2 8.2 3.0 2.2 1.2 0.2
  SAY #80394 /* ~Please enter, and enjoy the works within.  Gondsman Brathlen will offer insights on a number of items, but his time is limited and the tour will not be extensive.  Enjoy.~ */
  IF ~~ THEN DO ~OpenDoor("dr0600")
~ EXIT
  IF ~Global("X#AloraBeland","GLOBAL",0)
InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AloraBeland","GLOBAL",1)~ GOTO 13
END

IF ~~ THEN BEGIN 8 // from: _EDWINJ:159.0 _EDWINJ:158.0 _EDWINJ:157.0 _EDWINJ:156.1 _EDWINJ:155.1 _EDWINJ:154.1 _DYNAHJ:241.0 _DYNAHJ:240.0 _DYNAHJ:239.0 _DYNAHJ:238.0 _DYNAHJ:237.0 _DYNAHJ:236.0 _DYNAHJ:235.0 _DYNAHJ:234.1 _DYNAHJ:233.1 _DYNAHJ:232.1 _DYNAHJ:231.1 _DYNAHJ:230.1 _DYNAHJ:229.1 _DYNAHJ:228.1 63.0 62.0 61.0 60.0 59.0 58.0 57.0 56.0 55.0 54.0 53.0 52.0 51.0 50.0 49.0 48.0 47.0 46.0 45.0 44.0 43.0 42.0 41.0 40.0 39.0 38.0 37.0 36.0 35.0 34.1 33.1 32.1 31.1 30.1 29.1 28.1 27.1 26.1 25.1 24.1 23.1 22.1 21.1 20.1 19.1 18.1 17.1 16.1 15.1 1.0 0.1
  SAY #80395 /* ~Oh do reconsider!  You'll not find these items anywhere else in Faerun.  It would be a shame to miss them, would it not?~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 9
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 9 // from: 8.1
  SAY #80396 /* ~I'm sorry you feel that way.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 10 // from:
  SAY #80397 /* ~Since all of you are friends, you can freely explore the museum!  I hope you enjoy your stay.~ */
  IF ~~ THEN DO ~OpenDoor("dr0600")
~ EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #80398 /* ~Hello again.  I hope you have been enjoying yourself.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from:
  SAY #75439 /* ~Get out or be thrown out!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from: 7.1
  SAY #100252 /* ~Hold on... you there, halfling girl. Haven't we met before?~ */
  IF ~~ THEN DO ~OpenDoor("dr0600")
~ EXIT
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN GOTO 14
  IF ~  InParty("alora")
InMyArea("alora")
!StateCheck("alora",CD_STATE_NOTVALID)
~ THEN EXTERN ~_ALORAJ~ 75
END

IF ~~ THEN BEGIN 14 // from: 13.1 _ALORAJ:75.1
  SAY #100254 /* ~How odd. I'm sure I saw you in here just the other day. No matter. As I said, enjoy.~ */
  IF ~~ THEN DO ~OpenDoor("dr0600")
~ EXIT
END

IF ~~ THEN BEGIN 15 // from: 0.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 16 // from: _DYNAHJ:228.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 17 // from: 0.5
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 18
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 229
END

IF ~~ THEN BEGIN 18 // from: _DYNAHJ:229.3 17.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 19 // from:
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 20
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 230
END

IF ~~ THEN BEGIN 20 // from: _DYNAHJ:230.3 19.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 21 // from: 0.7
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 231
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 22
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 175
END

IF ~~ THEN BEGIN 22 // from: 21.5
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 231
END

IF ~~ THEN BEGIN 23 // from: _DYNAHJ:231.3 22.3 21.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 24 // from: _EDWINJ:154.7
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 26
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 232
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 25
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 176
END

IF ~~ THEN BEGIN 25 // from: _EDWINJ:154.5 24.5
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 26
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 232
END

IF ~~ THEN BEGIN 26 // from: _EDWINJ:154.3 _DYNAHJ:232.3 25.3 24.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 27 // from: 0.9
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 30
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 233
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 29
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 177
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 28
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 155
END

IF ~~ THEN BEGIN 28 // from: _EDWINJ:155.7 27.7
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 30
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 233
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 29
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 177
END

IF ~~ THEN BEGIN 29 // from: _EDWINJ:155.5 28.5 27.5
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 30
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 233
END

IF ~~ THEN BEGIN 30 // from: _EDWINJ:155.3 _DYNAHJ:233.3 29.3 28.3 27.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 31 // from:
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 34
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 234
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 178
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 32
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 156
END

IF ~~ THEN BEGIN 32 // from: _EDWINJ:156.7 31.7
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 34
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 234
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 33
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 178
END

IF ~~ THEN BEGIN 33 // from: _EDWINJ:156.5 32.5 31.5
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 34
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 234
END

IF ~~ THEN BEGIN 34 // from: _EDWINJ:156.3 _DYNAHJ:234.3 33.3 32.3 31.3
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 3
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 8
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 35 // from: 1.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 36 // from: 1.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 37
END

IF ~~ THEN BEGIN 37 // from: 36.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 38 // from: _DYNAHJ:235.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 39
END

IF ~~ THEN BEGIN 39 // from: _DYNAHJ:235.3 38.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 40 // from: 1.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 42
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 41
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 236
END

IF ~~ THEN BEGIN 41 // from: _DYNAHJ:236.4 40.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 42
END

IF ~~ THEN BEGIN 42 // from: _DYNAHJ:236.3 41.3 40.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 43 // from:
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 45
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 44
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 237
END

IF ~~ THEN BEGIN 44 // from: _DYNAHJ:237.4 43.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 45
END

IF ~~ THEN BEGIN 45 // from: _DYNAHJ:237.3 44.3 43.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 46 // from: 1.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 49
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 48
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 238
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 47
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 180
END

IF ~~ THEN BEGIN 47 // from: 46.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 49
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 48
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 238
END

IF ~~ THEN BEGIN 48 // from: _DYNAHJ:238.4 47.4 46.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 49
END

IF ~~ THEN BEGIN 49 // from: _DYNAHJ:238.3 48.3 47.3 46.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 50 // from: _EDWINJ:157.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 53
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 52
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 239
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 51
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 181
END

IF ~~ THEN BEGIN 51 // from: _EDWINJ:157.6 50.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 53
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 52
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 239
END

IF ~~ THEN BEGIN 52 // from: _EDWINJ:157.4 _DYNAHJ:239.4 51.4 50.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 53
END

IF ~~ THEN BEGIN 53 // from: _EDWINJ:157.3 _DYNAHJ:239.3 52.3 51.3 50.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 54 // from: 1.10
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 58
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 57
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 240
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 56
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 182
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 55
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 158
END

IF ~~ THEN BEGIN 55 // from: _EDWINJ:158.8 54.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 58
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 57
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 240
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 56
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 182
END

IF ~~ THEN BEGIN 56 // from: _EDWINJ:158.6 55.6 54.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 58
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 57
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 240
END

IF ~~ THEN BEGIN 57 // from: _EDWINJ:158.4 _DYNAHJ:240.4 56.4 55.4 54.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 58
END

IF ~~ THEN BEGIN 58 // from: _EDWINJ:158.3 _DYNAHJ:240.3 57.3 56.3 55.3 54.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 59 // from:
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 63
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 62
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 241
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 61
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 183
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 60
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 159
END

IF ~~ THEN BEGIN 60 // from: _EDWINJ:159.8 59.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 63
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 62
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 241
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 61
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 183
END

IF ~~ THEN BEGIN 61 // from: _EDWINJ:159.6 60.6 59.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 63
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 62
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 241
END

IF ~~ THEN BEGIN 62 // from: _EDWINJ:159.4 _DYNAHJ:241.4 61.4 60.4 59.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 63
END

IF ~~ THEN BEGIN 63 // from: _EDWINJ:159.3 _DYNAHJ:241.3 62.3 61.3 60.3 59.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 8
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80386 /* ~A mere pittance to pay for a day's entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 64 // from: 2.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 65 // from: 2.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 66
END

IF ~~ THEN BEGIN 66 // from: 65.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 67 // from: _DYNAHJ:242.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 68
END

IF ~~ THEN BEGIN 68 // from: _DYNAHJ:242.3 67.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 69 // from: 2.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 71
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 70
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 243
END

IF ~~ THEN BEGIN 70 // from: _DYNAHJ:243.4 69.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 71
END

IF ~~ THEN BEGIN 71 // from: _DYNAHJ:243.3 70.3 69.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 72 // from:
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 74
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 73
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 244
END

IF ~~ THEN BEGIN 73 // from: _DYNAHJ:244.4 72.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 74
END

IF ~~ THEN BEGIN 74 // from: _DYNAHJ:244.3 73.3 72.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 75 // from: 2.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 78
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 77
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 245
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 76
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 185
END

IF ~~ THEN BEGIN 76 // from: 75.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 78
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 77
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 245
END

IF ~~ THEN BEGIN 77 // from: _DYNAHJ:245.4 76.4 75.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 78
END

IF ~~ THEN BEGIN 78 // from: _DYNAHJ:245.3 77.3 76.3 75.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 79 // from: _EDWINJ:160.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 82
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 81
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 246
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 80
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 186
END

IF ~~ THEN BEGIN 80 // from: _EDWINJ:160.6 79.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 82
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 81
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 246
END

IF ~~ THEN BEGIN 81 // from: _EDWINJ:160.4 _DYNAHJ:246.4 80.4 79.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 82
END

IF ~~ THEN BEGIN 82 // from: _EDWINJ:160.3 _DYNAHJ:246.3 81.3 80.3 79.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 83 // from: 2.10
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 87
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 86
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 247
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 85
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 187
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 84
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 161
END

IF ~~ THEN BEGIN 84 // from: _EDWINJ:161.8 83.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 87
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 86
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 247
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 85
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 187
END

IF ~~ THEN BEGIN 85 // from: _EDWINJ:161.6 84.6 83.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 87
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 86
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 247
END

IF ~~ THEN BEGIN 86 // from: _EDWINJ:161.4 _DYNAHJ:247.4 85.4 84.4 83.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 87
END

IF ~~ THEN BEGIN 87 // from: _EDWINJ:161.3 _DYNAHJ:247.3 86.3 85.3 84.3 83.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END

IF ~~ THEN BEGIN 88 // from:
  SAY #103346 /* ~We have splendid, splendid new acquisitions, too, sir!~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 92
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 91
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 248
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 90
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 188
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN GOTO 89
  IF ~  InParty("edwin")
InMyArea("edwin")
!StateCheck("edwin",CD_STATE_NOTVALID)
~ THEN EXTERN ~_EDWINJ~ 162
END

IF ~~ THEN BEGIN 89 // from: _EDWINJ:162.8 88.8
  SAY #103348 /* ~I am sure, sir, that you will find it to your liking.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 92
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 91
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 248
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN GOTO 90
  IF ~  InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN EXTERN ~_VICONJ~ 188
END

IF ~~ THEN BEGIN 90 // from: _EDWINJ:162.6 89.6 88.6
  SAY #103350 /* ~Perhaps, madam, but who had ever seen a drow city and lived to tell the tale? None that I know, that's for sure! And it's warm inside to boot, so you needn't keep your gentle self all wrapped up in your cloak like that against chill.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 92
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 91
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN EXTERN ~_DYNAHJ~ 248
END

IF ~~ THEN BEGIN 91 // from: _EDWINJ:162.4 _DYNAHJ:248.4 90.4 89.4 88.4
  SAY #103352 /* ~Well said, m'lady, well said.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
  IF ~  InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN GOTO 92
END

IF ~~ THEN BEGIN 92 // from: _EDWINJ:162.3 _DYNAHJ:248.3 91.3 90.3 89.3 88.3
  SAY #103353 /* ~And a glimpse of all this, for one small coin.~ */
  IF ~~ THEN REPLY #80384 /* ~I am afraid I cannot pay the suggested donation.~ */ GOTO 5
  IF ~~ THEN REPLY #80385 /* ~I'll not pay to enter a building open to the public!~ */ GOTO 5
  IF ~~ THEN REPLY #80389 /* ~A mere pittance to pay for a days entertainment.~ */ DO ~TakePartyGold(1)
~ GOTO 7
END
